#!/bin/sh

# Copyright (C) 2009 IBM, Inc.
#-------------------------------------------------------------------------

if [ -e /images/setupScripts/debug ]; then
   set -x
   set -v
fi

echo "<<** $(date) Stopping all ITM Base components **>>"

/opt/IBM/ITM/bin/itmcmd agent stop all
/opt/IBM/ITM/bin/itmcmd agent stop cq
# TEPS (cq) must be stopped before stopping Eclipse Help Server (kf)
/opt/IBM/ITM/bin/itmcmd agent -f stop kf
/opt/IBM/ITM/bin/itmcmd server stop TEMS

# Open the file which holds information about current running
# items.  Parse the lines and execute stop commands for any items 
# still running.  Special if statement to ignore first line
exec </opt/IBM/ITM/config/.ConfigData/RunInfo
while read line
do
IFS="|"
set -- ${line} 
if [ "${1}" != "FIELDSEP=" ] 
then
cmd="/opt/IBM/ITM/bin/itmcmd agent stop $2"
#echo ${cmd}
eval ${cmd}
fi
done </opt/IBM/ITM/config/.ConfigData/RunInfo

# Check the file again to see if any of our stop commands failedi
# If any did fail, we need to alert and stop install, else good to go
#
# Input about what actions should be taken here is requested
#

